Search found 278 matches

Go to advanced search

by edi
Fri Mar 05, 2021 2:41 pm
Forum: Help on using FreeCAD
Topic: Intersection of body on sketch
Replies: 22
Views: 1113

Re: Intersection of body on sketch

Workflow: - select datum plane - open a new sketch (sketch plane is equal datum plane) - click: "Switch between section and full view" (body shape is cut with sketch plane) - click: "Create an edge linked to an external geometry" (cutting lines become catch able) - create lines connected to the catc...
by edi
Thu Mar 04, 2021 5:53 pm
Forum: Python scripting and macros
Topic: How to sort edges vertices to be in same order or detect different order
Replies: 19
Views: 868

Re: How to sort edges vertices to be in same order or detect different order

Hmm, seems like problem in Curve.intersect function, lines has cross, but it not detected. Is this a bug? :? Two lines in a plane always cross, except they are parallel. Your solution includes two problems: 1. Find out if two lines are (nearly) parallel. 2. Two lines cross if all four points are ex...
by edi
Wed Mar 03, 2021 7:20 am
Forum: Python scripting and macros
Topic: Importing .py user interface in Macro
Replies: 8
Views: 424

Re: Importing .py user interface in Macro

And your example is for a window, and I have a dialog. I have to expand the window with the mouse to see all the buttons in my dialog... What is a dialog ? Is it a tab opening in the Combo-View ? In https://forum.freecadweb.org/viewtopic.php?f=22&t=55609 you find a test script which openes a tab in...
by edi
Tue Mar 02, 2021 9:05 am
Forum: Python scripting and macros
Topic: Creating a prism
Replies: 2
Views: 158

Re: Creating a prism

Everything is possible to do in Python Scripting.
See: Help - Python scripting documentation.
by edi
Tue Mar 02, 2021 8:49 am
Forum: TechDraw
Topic: Macro: Version 3: helper tools to improve TechDraw documents
Replies: 36
Views: 3216

Re: Macro: Version 3: helper tools to improve TechDraw documents

Attached the Version 3 of the TechDrawTools-Macro. TechDrawTools03.FCMacro Benefits: New dynamic GUI layout, having two tabs. It should be displayed correct at any display resolution. Extended by 14 new features to create and manipulate dimensions. TechDraw05.png Commands decreasing the number of mo...
by edi
Tue Mar 02, 2021 8:04 am
Forum: Python scripting and macros
Topic: Importing .py user interface in Macro
Replies: 8
Views: 424

Re: Importing .py user interface in Macro

The following script should open a new window, and import the layout from an ui-file. The ui-file must be in the same directory as the script. ''' Open a window, reading its layout from *.ui file ''' import FreeCAD,FreeCADGui,Part from PySide import QtGui, QtCore path_to_ui = os.path.dirname(__file_...
by edi
Mon Mar 01, 2021 5:49 pm
Forum: Python scripting and macros
Topic: How to sort edges vertices to be in same order or detect different order
Replies: 19
Views: 868

Re: How to sort edges vertices to be in same order or detect different order

@HardRock:
Try:
S1(0,1) E1(0,2) S2(1,0) E2(1,3)
Lines are parallel, shall not be swaped. But S1-S2 and E1-E2 are crossing. Crossing point at (-1,1.5)
by edi
Mon Mar 01, 2021 4:36 pm
Forum: Python scripting and macros
Topic: How to sort edges vertices to be in same order or detect different order
Replies: 19
Views: 868

Re: How to sort edges vertices to be in same order or detect different order

@BryanL: I'm sorry, but the world is not that easy. Your idea will work only in very seldom special cases.
Try:
1. S1(0,1) E1(0,0) S2(1,0) E2(1,3)
2. S1(1,1) E1(0,0) S2(2,0) E2(3,1)
in both cases the lines are parallel and dist S1-S2 < dist S1-E2 but one line should be swaped.
by edi
Sun Feb 28, 2021 5:32 pm
Forum: Python scripting and macros
Topic: How to sort edges vertices to be in same order or detect different order
Replies: 19
Views: 868

Re: How to sort edges vertices to be in same order or detect different order

There is two selected edges lying in same plane, for example imagine it as two parallel lines. Sorry, that was a misunderstanding. My algorithm is useable only if you deliver the point coordinates in x/y values. I thought you are working in Sketcher or TechDraw of similar. I will think about if it ...
by edi
Fri Feb 26, 2021 4:48 pm
Forum: Help on using FreeCAD
Topic: DXF File from part design with additional sketcher drawings
Replies: 14
Views: 477

Re: DXF File from part design with additional sketcher drawings

The target system could be QCAD or other 2D freeware. But I am no specialist in DXF conversion. I think the problem of Fritz is, that his BSpline is very big. It has about 400 knots. My computer is not able to manipulate the sketch in FC, means if I try to create a pad nothing happenes. If the splin...

Go to advanced search